Channels
Assign mailbox to agent
PUT
Let an agent handle a mailbox (one mailbox per agent). Owner/admin.
bearer channels:writeheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: channels:write
agentId*stringAI agent id. Never invent ids – list resources first.
Length
1 <= length <= 64application/json- body
mailboxId*stringMailbox id. Never invent ids – list resources first.
Length
1 <= length <= 64Success
application/json- response
agentId*stringmailboxId*stringcurl -X PUT "https://example.com/agents/string/mailbox" \ -H "Content-Type: application/json" \ -d '{ "mailboxId": "string" }'{ "agentId": "string", "mailboxId": "string"}